<?php
/**
 * Plugin Name: Nixfile Plugin
 * Plugin URI:  https://nixfile.com
 * Description: A basic example plugin structure.
 * Version:     1.0.0
 * Author:      Nixfile
 * Text Domain: Nixfile
 */

use NixfilePlugin\Plugin;

if (!defined('ABSPATH')) exit; // Safety first

require_once __DIR__ . "/src/Plugin.php";
require_once __DIR__ . "/src/Admin/GalleryPage.php";
require_once __DIR__ . "/src/Admin/Ajax.php";
require_once __DIR__ . "/src/Api/Client.php";
require_once __DIR__ . "/src/Helper/Jalali.php";
require_once __DIR__ . "/src/Helper/Backup.php";
if (file_exists(__DIR__ . '/vendor/autoload.php')) {
	require __DIR__ . '/vendor/autoload.php';
}
add_action("plugin_loaded" , function(){
    $plugin = new Plugin();
    $plugin->init();
});